## ayatana-indicator-printers 22.9.0

=== CMakeLists.txt ===
project (ayatana-indicator-printers C)
cmake_minimum_required (VERSION 3.13)

if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    SET (CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)
endif (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)

list (APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")

set (PROJECT_VERSION "22.9.0")
set (PACKAGE ${CMAKE_PROJECT_NAME})
set (GETTEXT_PACKAGE "ayatana-indicator-printers")

# Options
option (ENABLE_TESTS "Enable all tests and checks" OFF)
option (ENABLE_COVERAGE "Enable coverage reports (includes enabling all tests and checks)" OFF)
option (ENABLE_WERROR "Treat all build warnings as errors" OFF)

if (ENABLE_COVERAGE)
    set (ENABLE_TESTS ON)
    set (CMAKE_BUILD_TYPE "Coverage")
else ()
    set (CMAKE_BUILD_TYPE "Release")
endif ()

if (ENABLE_WERROR)
    add_definitions ("-Werror")
endif ()

if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
    add_definitions ("-Weverything")
else ()
    add_definitions ("-Wall")
endif ()

# Check for prerequisites
include (GNUInstallDirs)
find_package (PkgConfig REQUIRED)
include (FindPkgConfig)
pkg_check_modules (SERVICE REQUIRED glib-2.0>=2.36 gio-2.0>=2.36 gio-unix-2.0>=2.36 libayatana-common)
find_program (CUPS_CONFIG cups-config REQUIRED)
execute_process (COMMAND ${CUPS_CONFIG} --cflags OUTPUT_VARIABLE CUPS_CFLAGS)
execute_process (COMMAND ${CUPS_CONFIG} --libs OUTPUT_VARIABLE CUPS_LIBS)
list (APPEND SERVICE_CFLAGS ${CUPS_CFLAGS})
list (APPEND SERVICE_LDFLAGS ${CUPS_LIBS})
list (APPEND SERVICE_LIBRARIES "cups")

# Custom targets
set (ARCHIVE_NAME ${CMAKE_PROJECT_NAME}-${PROJECT_VERSION})
add_custom_target (dist COMMAND bzr export --root=${ARCHIVE_NAME} ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.gz WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
add_custom_target (cppcheck COMMAND cppcheck --enable=all -q --error-exitcode=2 --inline-suppr ${CMAKE_SOURCE_DIR}/src ${CMAKE_SOURCE_DIR}/test)

# Build
add_subdirectory (src)
add_subdirectory (data)
add_subdirectory (po)

if (ENABLE_TESTS)
    include (CTest)
    enable_testing ()
    add_subdirectory (test)
    if (ENABLE_COVERAGE)
        find_package (CoverageReport)
        ENABLE_COVERAGE_REPORT (TARGETS "ayatanaindicatorprintersservice" "ayatana-indicator-printers-service" TESTS "mock-cups-notifier" FILTER /usr/include ${CMAKE_BINARY_DIR}/*)
    endif ()
endif ()

# Display config info
message (STATUS "Install prefix: ${CMAKE_INSTALL_PREFIX}")
message (STATUS "Unit tests: ${ENABLE_TESTS}")
message (STATUS "Build with -Werror: ${ENABLE_WERROR}")

=== po/CMakeLists.txt ===
find_package (Intltool REQUIRED)
intltool_install_translations (ALL GETTEXT_PACKAGE ${GETTEXT_PACKAGE})

## ayatana-indicator-printers 0.1.9

=== debian/changelog ===
ayatana-indicator-printers (0.1.9-3) unstable; urgency=medium

  * debian/{control,compat}:
    + Switch to debhelper-compat notation. Bump DH compat level to version 12.
  * debian/control:
    + Move from D to S: cups (>= 1.5).
    + Drop from B-D: python. (Closes: #936176).
    + Bump Standards-Version: to 4.4.1. No changes needed.
    + Add Rules-Requires-Root: field and set it to "no".

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 25 Nov 2019 21:00:15 +0100

ayatana-indicator-printers (0.1.9-2) unstable; urgency=medium

  * debian/control:
    + Update Vcs-*: fields. Packaging Git has been migrated to salsa.debian.org.
    + Bump Standards-Version: to 4.2.0. No changes needed.
  * debian/upstream/metadata:
    + Add file. Comply with DEP-12.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 16 Aug 2018 16:58:42 +0200

ayatana-indicator-printers (0.1.9-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.1.3. No changes needed.
  * debian/{control,compat}:
    + Bump DH compat level to 11.
  * debian/control:
    + Drop B-Ds autotools-dev and dh-autoreconf. Not needed for DH compat
      levels 10 and above.
  * debian/copyright:
    + Use secure URI for copyright format reference.
  * debian/watch:
    + Use secure URL to obtain upstream sources.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 28 Feb 2018 22:26:08 +0100

ayatana-indicator-printers (0.1.8-2) unstable; urgency=medium

  * debian/control:
    + Fix Vcs-* URLs. Don't point to upstream's Git repos, use Debian's
      anonscm instead.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 04 Dec 2017 14:35:59 +0100

ayatana-indicator-printers (0.1.8-1) unstable; urgency=medium

  * Initial release to Debian. (Closes: #879817).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 26 Oct 2017 12:37:09 +0200

indicator-printers (0.1.7+17.04.20170227-0ubuntu1) zesty; urgency=medium

  * Remove old autostart files.

 -- Rodney Dawes <rodney.dawes@canonical.com>  Mon, 27 Feb 2017 15:12:50 +0000

indicator-printers (0.1.7+17.04.20161201-0ubuntu1) zesty; urgency=medium

  [ Michael Terry ]
  * Work inside a snap by prefixing hard coded paths with $SNAP. (LP:
    #1629009)

 -- Rodney Dawes <rodney.dawes@canonical.com>  Thu, 01 Dec 2016 22:33:48 +0000

indicator-printers (0.1.7+17.04.20161124-0ubuntu1) zesty; urgency=medium

  * Recommend system-config-printer instead of obsolete system-config-
    printer-gnome (LP: #1643129) (LP: #1643129)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 24 Nov 2016 23:27:58 +0000

indicator-printers (0.1.7+17.04.20161026-0ubuntu1) zesty; urgency=medium

  [ Ted Gould ]
  * Add systemd unit

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 26 Oct 2016 15:06:49 +0000

indicator-printers (0.1.7+15.04.20150220-0ubuntu1) vivid; urgency=medium

  [ Lars Uebernickel ]
  * Remove g_strv_contains()

 -- CI Train Bot <ci-train-bot@canonical.com>  Fri, 20 Feb 2015 10:27:32 +0000

indicator-printers (0.1.7+14.10.20140527-0ubuntu1) utopic; urgency=low

  [ Lars Uebernickel ]
  * service: own bus name so that the panel can find it on the bus (LP:
    #1304434)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 27 May 2014 14:06:04 +0000

indicator-printers (0.1.7+14.04.20140313-0ubuntu1) trusty; urgency=low

  [ Ted Gould ]
  * Synchronize process management across indicators.

  [ Lars Uebernickel ]
  * Change notification lease time to 24h (LP: #1244205)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 13 Mar 2014 22:04:55 +0000

indicator-printers (0.1.7+14.04.20140213-0ubuntu1) trusty; urgency=low

  [ Gabor Kelemen ]
  * Add proper i18n support. Fixes LP:1279605. (LP: #1279605)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 66

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 13 Feb 2014 18:06:03 +0000

indicator-printers (0.1.7daily13.03.01-0ubuntu1) raring; urgency=low

  [ Mathieu Trudel-Lapierre ]
  * debian/control:
    - Bump debhelper Build-Depends to (>= 9).
    - Update style to be consistent with other indicators.
    - Drop Build-Depends on cdbs.
    - Add a Build-Depends on gnome-common.
    - Update Vcs-Bzr, Vcs-Browser and add a notice to uploaders.
    - Add python to Build-Depends for gdbus-codegen.
  * debian/rules:
    - Migrate from cdbs to using the dh sequencer.
    - Override dh_autoreconf to call autogen.sh.
    - Add and export DPKG_GENSYMBOLS_CHECK_LEVEL = 4.
    - Override dh_auto_configure to properly pass --disable-static to
      configure.
  * debian/compat: bump compat level to 9.

  [ Didier Roche ]
  * Automatic snapshot from revision 63 (bootstrap)

  [ Automatic PS uploader ]
  * Automatic snapshot from revision 64

 -- Automatic PS uploader <ps-jenkins@lists.canonical.com>  Fri, 01 Mar 2013 02:01:34 +0000

indicator-printers (0.1.6-0ubuntu3) quantal; urgency=low

  * Cherry-pick a fix in trunk for FTBFS (cups changed its API):
    - Don't access CUPS' ipp_attribute_t directly. Thanks Larsu

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 07 Sep 2012 17:07:36 +0200

indicator-printers (0.1.6-0ubuntu2) quantal; urgency=low

  * debian/control:
    - Don't recommend Unity; indicators work in GNOME Classic session
      without Unity being installed

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 31 Aug 2012 20:04:34 -0400

indicator-printers (0.1.6-0ubuntu1) precise; urgency=low

  * New upstream release.
    * Add test coverage build targets

 -- Ted Gould <ted@ubuntu.com>  Wed, 04 Apr 2012 15:05:58 -0500

indicator-printers (0.1.5-0ubuntu1) precise; urgency=low

  * New upstream release.
    - translate accessible description (LP: #957522)
    - set lease durations on cups subscriptions (LP: #959195)
    - draw number of jobs as lozenge

 -- Lars Uebernickel <lars.uebernickel@ubuntu.com>  Tue, 20 Mar 2012 18:50:39 +0100

indicator-printers (0.1.4-0ubuntu1) precise; urgency=low

  * New upstream release.
    - fix small i18n problems, thanks Gabor!  (LP: #945547)



=== debian/control ===
Source: ayatana-indicator-printers
Section: x11
Priority: optional
Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: debhelper-compat (= 12),
               dpkg-dev (>= 1.16.1.1),
               mate-common,
               libglib2.0-dev (>= 2.43.2),
               libgtk-3-dev,
               libdbusmenu-glib-dev (>= 0.5.90),
               libdbusmenu-gtk3-dev (>= 0.5.90),
               libayatana-indicator3-dev (>= 0.3.91),
               libcups2-dev,
               systemd [linux-any],
Standards-Version: 4.4.1
Rules-Requires-Root: no
Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-printers
Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-printers.git
Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/ayatana-indicator-printers

Package: ayatana-indicator-printers
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ayatana-indicator-common,
Recommends: system-config-printer,
Suggests:
         cups (>= 1.5),
Description: Ayatana Indicator showing active print jobs
 This Ayatana Indicator is designed to let you view and control active
 print jobs.
 .
 Use an indicator plugin for your desktop environment or a desktop
 environment that natively supports indicators to provide this indicator
 to the user.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

CFLAGS += -Wno-error=deprecated-declarations
LDFLAGS += -Wl,-z,defs -Wl,--as-needed

export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

%:
	dh $@ --without autoreconf

override_dh_auto_configure:
	NOCONFIGURE=1 ./autogen.sh
	dh_auto_configure -- \
		--disable-static

override_dh_install:
	find debian/ayatana-indicator-printers -name \*.la -delete
	find debian/ayatana-indicator-printers -name \*.a -delete
	dh_install

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_clean:
	dh_auto_clean
	# no clue, why they don't disappear during make distclean...
	rm -f config.sub config.guess

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

## ayatana-indicator-printers 0.8.0

=== debian/changelog ===
ayatana-indicator-printers (0.8.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Versioned D on ayatana-indicator-common (>= 0.8.0).
  * debian/rules:
    + Neither set specific CFLAGS nor LDFLAGS.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 18 Aug 2020 11:21:31 +0200

ayatana-indicator-printers (0.1.10-1) unstable; urgency=medium

  * New upstream release. (Closes: #957032).
  * debian/control:
    + Bump DH compat level to version 13.
    + Bump Standards-Version: to 4.5.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 06 Aug 2020 14:29:00 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dpkg-dev (>= 1.16.1.1),
                mate-common,
                libglib2.0-dev (>= 2.43.2),
@@ -14,7 +14,7 @@
                libayatana-indicator3-dev (>= 0.3.91),
                libcups2-dev,
                systemd [linux-any],
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-printers
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-printers.git
@@ -24,7 +24,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         ayatana-indicator-common,
+         ayatana-indicator-common (>= 0.8.0),
 Recommends: system-config-printer,
 Suggests:
          cups (>= 1.5),

## ayatana-indicator-printers 0.8.1

=== debian/changelog ===
ayatana-indicator-printers (0.8.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Add B:/R: relation for indicator-printers.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 10 Sep 2020 22:34:48 +0200

=== debian/control ===
--- 
+++ 
@@ -28,6 +28,8 @@
 Recommends: system-config-printer,
 Suggests:
          cups (>= 1.5),
+Breaks: indicator-printers,
+Replaces: indicator-printers,
 Description: Ayatana Indicator showing active print jobs
  This Ayatana Indicator is designed to let you view and control active
  print jobs.

## ayatana-indicator-printers 0.8.2

=== debian/changelog ===
ayatana-indicator-printers (0.8.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Mention desktop envs that support system indicators in LONG_DESCRIPTION.
    + Improve LONG_DESCRIPTION.
    + Fix capitalization of the word 'Xfce'.
    + Bump Standards-Version: to 4.5.1. No changes needed.
  * debian/watch:
    + Update format version to 4.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 03 Feb 2021 14:02:41 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libayatana-indicator3-dev (>= 0.3.91),
                libcups2-dev,
                systemd [linux-any],
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-printers
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-printers.git
@@ -34,6 +34,6 @@
  This Ayatana Indicator is designed to let you view and control active
  print jobs.
  .
- Use an indicator plugin for your desktop environment or a desktop
- environment that natively supports indicators to provide this indicator
- to the user.
+ Ayatana Indicators are only available on desktop environments that
+ provide a renderer for system indicators (such as MATE, Xfce, Lomiri,
+ etc.).

=== debian/rules ===
--- 
+++ 
@@ -3,9 +3,6 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
-
-CFLAGS += -Wno-error=deprecated-declarations
-LDFLAGS += -Wl,-z,defs -Wl,--as-needed
 
 export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

## ayatana-indicator-printers 22.2.0

=== debian/changelog ===
ayatana-indicator-printers (22.2.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update auto-generated copyright.in file.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 18 Feb 2022 17:22:34 +0100

ayatana-indicator-printers (0.9.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/upstream/metadata:
    + Update points of contact, put UBports Foundation in Donation: field.
  * debian/rules:
    + Use upstream's NEWS file as upstream ChangeLog.
  * debian/control:
    + Bump Standards-Version: to 4.6.0. No changes needed.
  * debian/copyright:
    + Update auto-generated copyright.in reference file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 19 Nov 2021 23:34:48 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libayatana-indicator3-dev (>= 0.3.91),
                libcups2-dev,
                systemd [linux-any],
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-printers
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-printers.git

=== debian/rules ===
--- 
+++ 
@@ -27,5 +27,8 @@
 	# no clue, why they don't disappear during make distclean...
 	rm -f config.sub config.guess
 
+override_dh_installchangelogs:
+	dh_installchangelogs NEWS
+
 get-orig-source:
 	uscan --noconf --force-download --rename --download-current-version --destdir=..

## ayatana-indicator-printers 22.9.0

=== debian/changelog ===
ayatana-indicator-printers (22.9.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
  * debian/{control,rules}:
    + Adjust to building with CMake.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 14 Jan 2023 22:00:37 +0100

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,16 @@
 Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake,
+               cmake-extras,
+               debhelper-compat (= 13),
                dpkg-dev (>= 1.16.1.1),
-               mate-common,
+               intltool,
                libglib2.0-dev (>= 2.43.2),
-               libgtk-3-dev,
-               libdbusmenu-glib-dev (>= 0.5.90),
-               libdbusmenu-gtk3-dev (>= 0.5.90),
-               libayatana-indicator3-dev (>= 0.3.91),
                libcups2-dev,
+               libayatana-common-dev,
                systemd [linux-any],
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-printers
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-printers.git

## ayatana-indicator-printers 23.10.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 list (APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")
 
-set (PROJECT_VERSION "22.9.0")
+set (PROJECT_VERSION "23.10.1")
 set (PACKAGE ${CMAKE_PROJECT_NAME})
 set (GETTEXT_PACKAGE "ayatana-indicator-printers")

=== data/CMakeLists.txt ===
# ayatana-indicator-printers.service
pkg_check_modules (SYSTEMD systemd)

if (${SYSTEMD_FOUND})
    pkg_get_variable (SYSTEMD_USER_DIR systemd systemduserunitdir)
    configure_file ("${CMAKE_CURRENT_SOURCE_DIR}/ayatana-indicator-printers.service.in" "${CMAKE_CURRENT_BINARY_DIR}/ayatana-indicator-printers.service" @ONLY)
    install (FILES "${CMAKE_CURRENT_BINARY_DIR}/ayatana-indicator-printers.service" DESTINATION "${SYSTEMD_USER_DIR}")
endif ()

# ayatana-indicator-printers.desktop
configure_file ("${CMAKE_CURRENT_SOURCE_DIR}/ayatana-indicator-printers.desktop.in" "${CMAKE_CURRENT_BINARY_DIR}/ayatana-indicator-printers.desktop" @ONLY)
install (FILES "${CMAKE_CURRENT_BINARY_DIR}/ayatana-indicator-printers.desktop" DESTINATION "/etc/xdg/autostart")

# org.ayatana.indicator.printers
install (FILES "${CMAKE_CURRENT_SOURCE_DIR}/org.ayatana.indicator.printers" DESTINATION "${CMAKE_INSTALL_FULL_DATAROOTDIR}/ayatana/indicators")

=== src/CMakeLists.txt ===
# cups-notifier.h
# cups-notifier.c
include (GdbusCodegen)
add_gdbus_codegen_with_namespace (CUPS_NOTIFIER cups-notifier org.cups.cupsd Cups "${CMAKE_CURRENT_SOURCE_DIR}/org.cups.cupsd.Notifier.xml")

# libayatanaindicatorprintersservice.a
add_library (ayatanaindicatorprintersservice STATIC
    indicator-printers-service.h
    indicator-printers-service.c
    indicator-printer-state-notifier.c
    indicator-printer-state-notifier.h
    spawn-printer-settings.c
    spawn-printer-settings.h
    dbus-names.h
    ${CUPS_NOTIFIER})
target_include_directories (ayatanaindicatorprintersservice PUBLIC ${SERVICE_INCLUDE_DIRS} ${CMAKE_CURRENT_BINARY_DIR})
target_compile_definitions (ayatanaindicatorprintersservice PUBLIC GETTEXT_PACKAGE="${GETTEXT_PACKAGE}" LOCALEDIR="${CMAKE_INSTALL_FULL_LOCALEDIR}")

# ayatana-indicator-printers-service
add_executable (ayatana-indicator-printers-service main.c)
target_link_libraries (ayatana-indicator-printers-service ayatanaindicatorprintersservice ${SERVICE_LIBRARIES})
install (TARGETS ayatana-indicator-printers-service RUNTIME DESTINATION ${CMAKE_INSTALL_FULL_LIBEXECDIR}/${CMAKE_PROJECT_NAME})

=== test/CMakeLists.txt ===
# cups-notifier.h
# cups-notifier.c
include (GdbusCodegen)
add_gdbus_codegen_with_namespace (CUPS_NOTIFIER cups-notifier org.cups.cupsd Cups "${CMAKE_SOURCE_DIR}/src/org.cups.cupsd.Notifier.xml")

# mock-cups-notifier
add_executable (mock-cups-notifier mock-cups-notifier.c ${CUPS_NOTIFIER})
target_include_directories (mock-cups-notifier PUBLIC ${SERVICE_INCLUDE_DIRS} ${CMAKE_CURRENT_BINARY_DIR})
target_link_libraries (mock-cups-notifier ${SERVICE_LIBRARIES})
add_test (mock-cups-notifier mock-cups-notifier)

=== debian/changelog ===
ayatana-indicator-printers (23.10.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix incorrect indicator_printers_service_new() call.
    (Closes: #1096353)

 -- Adrian Bunk <bunk@debian.org>  Fri, 19 Sep 2025 22:48:47 +0300

ayatana-indicator-printers (23.10.1-2) unstable; urgency=medium

  * debian/control:
    + Replace systemd by systemd-dev in B-D. (Closes: #1060586).
    + Bump Standards-Version to 4.7.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 May 2024 16:51:54 +0200

ayatana-indicator-printers (23.10.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attribution for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 05 Feb 2024 18:35:51 +0100

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
                libglib2.0-dev (>= 2.43.2),
                libcups2-dev,
                libayatana-common-dev,
-               systemd [linux-any],
-Standards-Version: 4.6.2
+               systemd-dev [linux-any],
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-printers
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-printers.git

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

DEB_CMAKE_EXTRA_FLAGS = \
    -DENABLE_TESTS=ON \
    -DENABLE_COVERAGE=OFF \
    $(NULL)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CMAKE_EXTRA_FLAGS)

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# Hack as it seems it's not possible to easy run that under dbus-test-runner
	env -u LD_PRELOAD dh_auto_test
endif

override_dh_install:
	find debian/ayatana-indicator-printers -name \*.la -delete
	find debian/ayatana-indicator-printers -name \*.a -delete
	dh_install

override_dh_missing:
	dh_missing --fail-missing

override_dh_installchangelogs:
	dh_installchangelogs NEWS

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..
